Lucene search

K
cve[email protected]CVE-2023-43641
HistoryOct 09, 2023 - 10:15 p.m.

CVE-2023-43641

2023-10-0922:15:12
CWE-787
web.nvd.nist.gov
357
70
libcue
cve-2023-43641
parsing
data extraction
cue sheets
code execution
vulnerability
tracker-miners
gnome

8.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

8.6 High

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

49.2%

libcue provides an API for parsing and extracting data from CUE sheets. Versions 2.2.1 and prior are vulnerable to out-of-bounds array access. A user of the GNOME desktop environment can be exploited by downloading a cue sheet from a malicious webpage. Because the file is saved to ~/Downloads, it is then automatically scanned by tracker-miners. And because it has a .cue filename extension, tracker-miners use libcue to parse the file. The file exploits the vulnerability in libcue to gain code execution. This issue is patched in version 2.3.0.

Affected configurations

Vulners
NVD
Node
lipnitsklibcueRange2.2.1
VendorProductVersionCPE
lipnitsklibcue*cpe:2.3:a:lipnitsk:libcue:*:*:*:*:*:*:*:*

CNA Affected

[
  {
    "vendor": "lipnitsk",
    "product": "libcue",
    "versions": [
      {
        "version": "<= 2.2.1",
        "status": "affected"
      }
    ]
  }
]

Social References

More

8.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

8.6 High

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

49.2%